org.firebirdsql.gds

## Interface TransactionParameterBuffer

All Superinterfaces:
  java.lang.Iterable<Parameter>, ParameterBuffer

All Known Implementing Classes:
  TransactionParameterBufferImpl

    public interface TransactionParameterBuffer
    extends ParameterBuffer

Instances of this interface represent Transaction Parameter Buffer from the Firebird API.

### Field Summary

Fields
`static int` `AUTOCOMMIT`
`static int` `COMMIT_TIME`
`static int` `CONCURRENCY`
`static int` `CONSISTENCY`
`static int` `EXCLUSIVE`
`static int` `IGNORE_LIMBO`
`static int` `LOCK_READ`
`static int` `LOCK_TIMEOUT`
`static int` `LOCK_WRITE`
`static int` `NO_AUTO_UNDO`
`static int` `NO_REC_VERSION`
`static int` `NOWAIT`
`static int` `PROTECTED`
`static int` `READ`
`static int` `READ_COMMITTED`
`static int` `REC_VERSION`
`static int` `RESTART_REQUESTS`
`static int` `SHARED`
`static int` `VERB_TIME`
`static int` `WAIT`
`static int` `WRITE`

### Method Summary

All Methods Instance Methods Abstract Methods
`TransactionParameterBuffer` `deepCopy()` Make a deep copy of this object.

### Methods inherited from interface org.firebirdsql.gds.ParameterBuffer

`addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, getArgumentAsInt, getArgumentAsString, getType, hasArgument, iterator, removeArgument, size, toBytes, toBytesWithType, toXdrable, writeArgumentsTo`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Field Detail

#### AUTOCOMMIT

    static final int AUTOCOMMIT

See Also:
  Constant Field Values

#### READ_COMMITTED

    static final int READ_COMMITTED

See Also:
  Constant Field Values

#### REC_VERSION

    static final int REC_VERSION

See Also:
  Constant Field Values

#### NO_REC_VERSION

    static final int NO_REC_VERSION

See Also:
  Constant Field Values

#### CONCURRENCY

    static final int CONCURRENCY

See Also:
  Constant Field Values

#### CONSISTENCY

    static final int CONSISTENCY

See Also:
  Constant Field Values

#### SHARED

    static final int SHARED

See Also:
  Constant Field Values

#### PROTECTED

    static final int PROTECTED

See Also:
  Constant Field Values

#### EXCLUSIVE

    static final int EXCLUSIVE

See Also:
  Constant Field Values

#### WAIT

    static final int WAIT

See Also:
  Constant Field Values

#### NOWAIT

    static final int NOWAIT

See Also:
  Constant Field Values

#### READ

    static final int READ

See Also:
  Constant Field Values

#### WRITE

    static final int WRITE

See Also:
  Constant Field Values

#### LOCK_READ

    static final int LOCK_READ

See Also:
  Constant Field Values

#### LOCK_WRITE

    static final int LOCK_WRITE

See Also:
  Constant Field Values

#### VERB_TIME

    static final int VERB_TIME

See Also:
  Constant Field Values

#### COMMIT_TIME

    static final int COMMIT_TIME

See Also:
  Constant Field Values

#### IGNORE_LIMBO

    static final int IGNORE_LIMBO

See Also:
  Constant Field Values

#### RESTART_REQUESTS

    static final int RESTART_REQUESTS

See Also:
  Constant Field Values

#### NO_AUTO_UNDO

    static final int NO_AUTO_UNDO

See Also:
  Constant Field Values

#### LOCK_TIMEOUT

    static final int LOCK_TIMEOUT

See Also:
  Constant Field Values

### Method Detail

#### deepCopy

    TransactionParameterBuffer deepCopy()

Make a deep copy of this object.

Returns:
  deep copy of this object.